gss_release_name(3)

NAME
gss_release_name - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_release_name(OM_uint32 * minor_status, gss_name_t * name);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

gss_name_t * name
    (gss_name_t, modify) The name to be deleted.

DESCRIPTION
Free GSSAPI-allocated storage associated with an internal-form name. The name is set to GSS_C_NO_NAME on successful completion of this call.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_BAD_NAME`: The name parameter did not contain a valid name.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.